%define rel 3

Name: lxqt-panel
Version: 0.12.0
%define subrel  4
Release: %mkrel %rel
Source0: http://downloads.lxqt.org/lxqt/%{version}/%{name}-%{version}.tar.xz
# (doktor5000) add a custom panel configuration as default
Source1: panel.conf
Summary: Panel for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildRequires: cmake
# https://github.com/lxde/lxqt-panel/issues/73
#Patch1:	lxqt-panel-0.9-mga-lxqtmount-includes.patch
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(lxqt-globalkeys) >= 0.10.0
BuildRequires: pkgconfig(lxqt-globalkeys-ui) >= 0.10.0
BuildRequires: pkgconfig(lxqtmount)
BuildRequires: pkgconfig(sysstat-qt5)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pulseaudio-devel
BuildRequires: pkgconfig(icu-uc)
BuildRequires: pkgconfig(libstatgrab)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(xcomposite)
BuildRequires: lm_sensors-devel
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(alsa)
BuildRequires: kguiaddons-devel
BuildRequires: pkgconfig(xcb-util)
BuildRequires: pkgconfig(xkbcommon)
BuildRequires: pkgconfig(xkbcommon-x11)
BuildRequires: pkgconfig(libmenu-cache)
BuildRequires: pkgconfig(dbusmenu-qt5)
BuildRequires: solid-devel >= 5.5.0 
BuildRequires: lxqt-build-tools

Obsoletes: razorqt-panel < 0.5.3-1
# (doktor5000) require qt5 plugins as otherwise menu and tasklist misbehave and display incorrectly
Requires: kwindowsystem
Requires: lxqt-themes

Conflicts:  lxqt-common < 0.12.0

%description
Panel for the LXQt desktop.

%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5 -DPULL_TRANSLATIONS=NO
%make

%install
%make_install -C build

# fix the default menu file, we want to use new upstream lxqt menu definition (cloned from lxmenu-data)
sed -i 's|menu_file=.*|menu_file=%{_sysconfdir}/xdg/menus/lxqt-applications.menu|g' %{buildroot}/%{_sysconfdir}/xdg/lxqt/panel.conf

# (doktor5000) add a custom panel configuration as default
cp %{SOURCE1} %{buildroot}/%{_sysconfdir}/xdg/lxqt/panel.conf


%files
%{_sysconfdir}/xdg/autostart/lxqt-panel.desktop
%{_sysconfdir}/xdg/menus/lxqt-applications.menu
%{_sysconfdir}/xdg/lxqt/panel.conf
%{_bindir}/%{name}
%{_datadir}/lxqt/%{name}/
%{_datadir}/desktop-directories/lxqt-leave.directory
%{_datadir}/desktop-directories/lxqt-settings.directory
%{_includedir}/lxqt
%{_libdir}/%{name}
%{_mandir}/man1/lxqt-panel.1.*



%changelog
* Tue May 01 2018 neoclust <neoclust> 0.12.0-3.4.mga6
  (not released yet)
+ Revision: 1224062
- Use again external panel.conf file
- Use P1 for LxQt customisation
- Add mageia default panel
- New version 0.12.0

* Fri Mar 17 2017 mrambo3501 <mrambo3501> 0.11.1-3.mga6
+ Revision: 1093322
- add BR for extra-cmake-modules
- Rebuild for icu-58.2
+ ghibo <ghibo>
- Update to release 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065969
- New version 0.11.0

* Sat May 14 2016 shlomif <shlomif> 0.10.0-7.mga6
+ Revision: 1015288
- Rebuild for the new UCI (new major)

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-6.mga6
+ Revision: 995913
+ rebuild (emptylog)

* Tue Feb 23 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 977405
- update translations during build if necessary
- added Requires on kwindowsystem to fix panel/tasklist display issues
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900896
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900179
- New version 0.10.0

* Sun Mar 08 2015 doktor5000 <doktor5000> 0.9.0-4.mga5
+ Revision: 818125
- change default menu file to %%{_sysconfdir}/xdg/menus/lxqt-applications.menu
  o fixes application menu display and structure
- add versioned Requires on lxqt-common to ensure .menu file is present
- added custom panel config as default panel
- delete default panel config, seems to not be read properly on first start

* Sun Feb 22 2015 tmb <tmb> 0.9.0-3.mga5
+ Revision: 816499
- BR: pkgconfig(xcb-util)
- BR: kguiaddons-devel
+ doktor5000 <doktor5000>
- new version 0.9.0
- dropped patches
  o lxqt-panel-0.8-mga-undefined-references.patch (merged upstream)
  o lxqt-panel-0.8-mga-add-panel-transparency.patch (merged upstream)
  o lxqt-panel-0.7.0-mga-customize-default-panel.patch (done via custom theme)
- rediffed lxqt-panel-0.9-mga-lxqtmount-includes.patch
- updated URL to http://downloads.lxqt.org/lxqt/
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-3.mga5
+ Revision: 803665
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-2.mga5
+ Revision: 793185
+ rebuild (emptylog)

* Sun Oct 19 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 789596
- add missing BuildRequires on BuildRequires: pkgconfig(xrender)
- add missing BuildRequires on BuildRequires: pkgconfig(alsa)
- add missing BuildRequires on BuildRequires: pkgconfig(Qt5Help)
- added BuildRequires on pkgconfig(alsa)
- added patch to fix lxqt-mount includes
- added patch to fix undefined references
- new version 0.8
- enabled QT5 build
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-5.mga5
+ Revision: 740284
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 682093
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675026
- obsolete razorqt-panel

* Thu Jul 31 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 658717
- customize default panel
  o add show desktop widget
  o add default launchers for terminal, systemsettings and drakconf
  o add another quicklaunch widget to preserve hint text

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624960
- add BuildRequires on lm_sensors
- add BuildRequires on xcomposite
- fix BuildRequires on libsysstat
- add BuildRequires on lxqt-globalkeys-ui
- imported package lxqt-panel


* Fri May 09 2014 doktor5000 <doktor5000@mageia.org> 0.7.0-1
- initially packaged for Mageia

